CREATE TABLE cmp_calc_expressions (
    EXPRESSION_ID            NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    EXPR_KEY                 NUMBER(18, 0)     NOT NULL,
    EXPR_DESCRIPTION         VARCHAR2(4000),
    KEY_TYPE                 VARCHAR2(120)     NOT NULL,
    ORDER_NUM                NUMBER            NOT NULL,
    RULE_TYPE_FLAG           VARCHAR2(4)   ,
    EXPR_COND                VARCHAR2(4000),
    EXPR_RESULT              VARCHAR2(4000),
    RESULT_DATA_TYPE         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    EXPRESSION_ID            NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    EXPR_KEY                 NUMBER(18, 0)     NOT NULL,
    KEY_TYPE                 VARCHAR2(120)     NOT NULL,
    ORDER_NUM                NUMBER            NOT NULL,
    RULE_TYPE_FLAG           VARCHAR2(4)   ,
    EXPR_COND                VARCHAR2(4000),
    EXPR_RESULT              VARCHAR2(4000),
    RESULT_DATA_TYPE         VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    EXPR_DESCRIPTION         VARCHAR2(4000),
    CONSTRAINT pk_cmp_calc_expressions PRIMARY KEY (EXPRESSION_ID, EXPRESSION_ID)
);
